Bug 518989 - Anaconda fails to create /boot partition when disk size less than default size
Summary: Anaconda fails to create /boot partition when disk size less than default size
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 11
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Martin Sivák
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1632948
TreeView+ depends on / blocked
 
Reported: 2009-08-24 14:01 UTC by Alexander Todorov
Modified: 2018-12-10 23:26 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-28 14:16:25 UTC


Attachments (Terms of Use)

Description Alexander Todorov 2009-08-24 14:01:31 UTC
Description of problem:
With stock F11 installation I have a 94MB drive (virtual machine) which is used for /boot and / is on iSCSI. In partitioning screen I select new /boot partition on xvda. The default partition size is 200MB and anaconda reports error even if you select "fill to maximum possible size"

Version-Release number of selected component (if applicable):
F11 / anaconda-11.5.0.59-1

How reproducible:
Always

Steps to Reproduce:
1. Create a VM with 94MB disk. Other disks are irrelevant. 
2. In partitioning screen select custom layout and remove any partitions if exist.
3. Free space is 94MB
4. Create new partition on this disk, assign /boot mountpoint and click "Fill to maximum allowable size"
5. Notice how the default size parameter (text entry) remains 200 which is higher than maximum available. 

Actual results:
Anaconda will report that it can't create the partition because there's no enough free space on the disk. 

Expected results:
Anaconda will decrease the default size of 200MB to what's available - 94 in this case.

Additional info:
If you manually specify lower size in the text entry field, i.e. 50MB and then select to fill to maximum anaconda will successfully create the partition. 
IMO anaconda is bumping up the size is max_size > size but is not decreasing the size if max_size < size.

Comment 1 Chris Lumens 2009-08-24 14:10:39 UTC
94 megabytes?  Seriously?

Comment 2 Alexander Todorov 2009-08-24 14:28:33 UTC
/boot is happy with even less. 
My entire / is on iSCSI but that has nothing to do with the boot partition which is on separate disk.

Comment 3 Bug Zapper 2010-04-28 09:56:19 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Bug Zapper 2010-06-28 14:16:25 UTC
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.